## freeciv 2.3.1-1maemo5v1

=== debian/changelog ===
freeciv (2.3.1-1maemo5v1) fremantle; urgency=low

  * new upstream release

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri, 30 Mar 2012 03:05:40 -0400

=== debian/control ===
Source: freeciv
Section: games
Priority: optional
Maintainer: Ricky Brent <debpkg@rickybrent.com>
XSBC-Original-Maintainer: Debian Freeciv Maintainers <pkg-freeciv-devel@lists.alioth.debian.org>
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=freeciv
Uploaders: Jordi Mallach <jordi@debian.org>, Kyle McMartin <kyle@debian.org>, Clint Adams <schizo@debian.org>, Mikko Vartiainen <mvartiainen@gmail.com>
Standards-Version: 3.8.0
Homepage: http://www.freeciv.org/
Vcs-Svn: svn://svn.debian.org/pkg-freeciv/trunk/freeciv
Vcs-Browser: http://svn.debian.org/wsvn/pkg-freeciv/trunk/freeciv/
Build-Depends: quilt (>= 0.42),
               debhelper (>= 4.0.0),
               gettext,
               libx11-dev,
               libxaw7-dev,
               libxext-dev,
               libxmu-dev,
               libxt-dev,
               libgtk2.0-dev (>= 2.2.1),
               libpng12-dev,
               libreadline4-dev,
               libesd0-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
#              libggz-dev,
               x11proto-core-dev,
               zlib1g-dev,
               autotools-dev,
#              xaw3dg-dev


Package: freeciv-server
Architecture: any
Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.0)
Suggests: freeciv-client
Conflicts: freeciv (<< 1.14.0-5)
Replaces: freeciv-data (<< 2.1.0)
Description: Civilization turn based strategy game (server files)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Freeciv game server.

#Package: freeciv-client-xaw3d
#Architecture: any
#Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.0)
#Suggests: freeciv-server, freeciv-sound
#Provides: freeciv-client
#Description: Civilization turn based strategy game (Xaw3D client)
# Freeciv is a free clone of the turn based strategy game Civilization.
# In this game, each player becomes leader of a civilisation, fighting to
# obtain the ultimate goal: the extinction of all other civilisations.
# .
# This is the Xaw3D version of the Freeciv client.

#Package: freeciv-client-gtk
#Architecture: any
#Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.0), freeciv-server (>= 2.1.0), ggzcore-bin
#Suggests: freeciv-sound
#Provides: freeciv-client, freeciv
#Description: Civilization turn based strategy game (GTK+ client)
# Freeciv is a free clone of the turn based strategy game Civilization.
# In this game, each player becomes leader of a civilisation, fighting to
# obtain the ultimate goal: the extinction of all other civilisations.
# .
# This is the GTK+ version of the Freeciv client.

Package: freeciv-client-sdl
Architecture: any
Section: user/games
Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.6), freeciv-server (>= 2.1.8)
Suggests: freeciv-sound
Provides: freeciv-client, freeciv
Description: Civilization turn based strategy game (SDL client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the SDL version of the Freeciv client.
 .
 Game data files can be installed to internal memory card
XB-Maemo-Display-Name: Freeciv
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1woKFTkE9eZW
 ygAACqVJREFUeNqtV1uMndV1/ta+/NdzzpyZ8RkPMx7GxoxxDAZMjA3UGBJC
 uVgNSrg0kUBJCk7V5qFIaZWol0BbqaqUlz70CSeFJjRRW6kkTQjBBmJzacHE
 imsH4tiGhBnPeK6eOdf/si+rD1NbRYXKqrqlrb0ftvb6tPb69vo+YmZczCAi
 umO9SLZcrjZVamJtGKOfyAW2dFwUvmgt0fK5acydmuWTb2bI+SIvpos5d9OY
 qN51c/zw2mG5W0ZiKxE3lHQVwEnnDVvrnS1F2xs131nA8cnT7tDBE/bJtzrc
 /T8DICL6o3vD0fXjwRdrNbW3UpPDAOCMR95zppvZjnWu8N4S4IJIy0qaKB3G
 AdgJLE756ZVl/8TbJ/JvfOuoPcvMvGXz5v5PPXD/VW8fO3bkme99vwcA6sOQ
 /fnvxDdctiF4rFrVn5BKSJt7npkq56fO2B822262l2GdZ5EK0gJQPUl2JtF2
 cOwSumvDxnB43eXB6FCOrw005M7BRv74FZsm3vn0/Q/8cRzHt+ZZ/hCAX3xg
 Bh6+I4yuuVr/1til+qkwVInNUc7NmJ+/dLD3ulCSGgPqnkpFDsexEkEgQFJA
 SgFm4m7mFmeXymeXp/Py+qvUdesvi7ZW+mTYXLbdM7hnvowm6j/+0XOP/OTg
 oe8xs/9AAH/71cp968bU30SxHLUZ3Guv5t9+5x3rGwP6NysVORInJIJIIo4l
 dCABISCkBIFgLSPLHZe5W5idLX6ibdm7dVf6UG1Qq8z24+DR/gNf/8ardzGz
 +x81QET0119Kdl6xOXwhTiltN/3s8z/Ovts9R7vWDKjtlT5BaUWirx4gSQMk
 aQilFZx38BAgqQAPFIVFnpXodkusLJuTMtm8uP2K1o3V6jx1OqZz5Gj341/7
 u95Pz7NEnEfyZ5+PRsbHg8eCUKTesd+/P/vHhRm1va+qrk9TQbWqQrWmkVY1
 okQiSjWSSoi0miBJI0ilQEojqcSI0xDVaojBgWBTmpQ73nhLv5D3nO3rV5Ur
 rwof+8pno+HzcS8AGB8PvhjH8nbv2Bx+I3966qTbVovdzUEsoSIJKAcHC08W
 UaIQxQGiJEKtXkd9YA0GGg30DdQRpQnSaopaX4Io1SDznjKdd0ZePdx92hgu
 G8P6jmuuC/e+D8BNG2SlVpGPCCLZXPYnXjlYtpJQ7AoCglYWMgwhlEAQEpJE
 Q2uFKA6hdAAdJ5BhjCjpQ1IbRJRWECUxhJbQoYSQQLUirzy7wGphoXxLa6Ea
 Q3Lv9etlAgCCiOgz9yVfUEqOCAKe3997xXX5Nq0hdADogKGoizAKUa1VEIUK
 WgswEVQYgESAMK5B6BRBWIUKYugwgAMQRQppGiCMBBp9+pYXXu69CWau9ql1
 v/97yeeJiMSeq2XcGJC3gIGVFds6ftTMKUEblQKkBEgAQjKSmJDEEeIkgQ40
 wjBAoEPEcQqQgvOAEoAUgFYCA/UEaRIiCiW0JsSRHM16Il9csstgYHy9unXP
 R1Ukdu8OJ6wVWwHgzLR9mQxuJyBYDQwoSQi0ALwBfAYRVKF0CK0UrHNotzN0
 OgWIPdqdNkyRwzkD5yyMLdHqdFEUJQAvKjHdPTljDpAAiMTVn7w3nBBhQMPs
 MeQs89I5PisYWwFASIIUBCKAaHVvnQW5NmRYQ7uTwZTl6ixKmDKHsznyvItW
 s4mVZgtlWUIrAogBZsSaxufm/Iox7NljKE3ksFKC+iVxhZjpY7v03pee+a/y
 9ID3gHMeprQwTgKs0e124fwZxLVhFMah2VpAUQJRpEEwKIoe4C1sWcCU9kKl
 MzMEkb5hm/xdCUASVQJB/QqMAEwSzDClh/MM6xjGepQlg72EkgpREEBJCQGA
 4OGKFpodRlFasHOwpQLBg30BOAewAzuLIi/hHIM9YC2jKJlBTERQghAIJgHS
 gCHilw67l7wHTMkoCg9rAfYEaxi9bol2O0O3m6PMSyzOz6HXmgWD4FwBW7QB
 l8GbAqYsVp/FWMABxARnGXlu8dyh8oeLy1yYElSUJBSkNPUBuChmuX6jGhEh
 2HgmYximZOS5h1QlpHawTkBrgSI3yIscIAGfLUAnayBcG96VEMxgZljjYHKL
 1W5NaHUd2plHf0Ou9T0rPQvutgXL7WNqtFJTnxzs53isgTUTV0dkQejkjG7P
 o7QexvFqJhwgSCDLDIyxsKUHew/pDayP4C2h3czRahs0VxwW5kvMLzqcaztE
 FWDLlRq7PypHqxGJ+XOy+e5J+y1lcjO7MC3nw1DX1zQ8No07rF8XYXbOY3GZ
 MTnlsLTo8e57FuyBKHAAMYTgVXYoAaVKEHXhmWCsgRCMSk0gqQlMjAsM9gOD
 KZAmgJcSS00JY+2cDsoZ9ebR8tSdg+r42UlsWl4QiKqqs2YNx8NDJNeNMK67
 UoAJ8BQjLwjNpkeWAUW+WqweQJgSwoiR1Bj1RoAoYLBhoMfwPYItCQWkn1pA
 T4EqSnso7Y69/HJ5Sr34a862z9lDa8fkvUQePz+Wv7LcxODGjXrH+g0KQ6MC
 Ah5BAMQhkA4B8HxetwGKoVKGTAEVr3K+twzkLQFTSizNeMyddTh9Knu7cak4
 c83m8E4HxsyUPbj/lz5XzMzbBunJ++6UX/U1OTLUoC1HjuVP/Ozfs6sAJI2G
 wNgGjeFLJJJUoFqXiBIBHQBCEKQCQKsUMzkja68yqNUWODdfYulcgXbLl6JP
 /GDnb1Tuz7oexrvp7/xz/vfMzAoAfrbEna/sifaRpD/VsRjbtkXv3n+2eEp5
 7F1c8rrbKzBzBohTIE0JYUgII4JShCCQYDC8Z3gmeEcoSkbeY+S5QGvF+2bP
 /9O996RbUNKGEuyaXb/vpzO++z5ROj1p9xHRjsqgvGvkUnnHPZ+58fRy1ij+
 7Zl/5W4HgbVA3APyjBGGjCACtCII6UBEq5+nB0wJGAPkPUaWset5+s7H7o6z
 oVg+2OswvLI/mpwq932gJPvctXLHJWP6xagu0iiqYXqucfy5Hxx/IWA8LICa
 lEAYAUG4up7vmCAADHi3GtwYIMuQ9Sz+Yc8DCW8Y1A+YDH0y8p3ZJfPxv3w6
 vyDJ3idKlZT6Sw/e/Ubd/WKb89OQAM6cdgfe/pU7sLLobxPAdQJoEK0GFnK1
 /V4A4AHjsGw8/mPdR9SLN98Y3FAjuSfvAWGVp7qle/RPvtn7l/8ugi88gdZa
 PfjQQ789sfP6TaffDKf4vcmBsC7Txqj6xA11+ZEzk/b5t95z+8uCxwnYJS0m
 yCIhAJ6Qe+BdD7we1emXt92irxjrV4+4Lo01S4+kjk6n9I+e/JV99kOd0R88
 +uhNl01c/u3XX3vtu68cPPT1HWJ288CQfDzqF7dLLaQSBJRsmx1/vHT8ugFO
 eHBJAkgSoSsJNtWqcmc9EddqEWhrgawoXVDl/R3jH/+LJ7PD/6s1+/Iffnlg
 ZWVl54v7D7z268nJFhHRnkGMDKyVe6NE7BWJGBFEEARIYoDhPLMdGo5Qqyml
 FKQ1QJ55eO8R9LkZw/xEu/D7/uqp/OyHmdWLMqdbq1S5dlR+IU7pFitoKxGG
 lERFEGS1JiEUuTCWbRVgQcfuuFP+4PefNU8ennLd/xd3fJ4lN69BfNmomBBa
 DCuFfpIIlAKkQhlUaDmuiNkjR8yp50747GLt+X8CTRJpI6UvnV0AAAAASUVO
 RK5CYII=
 ====



Package: freeciv-data
Architecture: all
Conflicts: freeciv (<< 1.14.0-5)
Depends: 
Replaces: freeciv-client-gtk (<< 2.1.0), freeciv-server (<< 2.1.0)
Description: Civilization turn based strategy game (game data)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 These are the common data files for Freeciv.

#Package: freeciv-sound-standard
#Architecture: all
#Provides: freeciv-sound
#Description: Civilization turn based strategy game (standard sound pack)
# Freeciv is a free clone of the turn based strategy game Civilization.
# In this game, each player becomes leader of a civilisation, fighting to
# obtain the ultimate goal: the extinction of all other civilisations.
# .
# This is the standard sound pack for Freeciv. It provides Freeciv clients
# with a set of sounds for different events and actions in the game.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the iad of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Also some stuff taken from debmake scripts, by Cristopt Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

PACKAGE=freeciv

INSTALL = install
INSTALL_DIR = $(INSTALL) -p -d -o root -g root  -m  755

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS  = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2 
endif

# Use soft-float and thumb mode if it enabled.
#ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
#  CFLAGS += -mthumb
#endif

# Use hardware floating point
ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -mfpu=vfp -mfloat-abi=softfp
endif


# Work around upstream creating tarballs with *ancient* autotools
# which don't know about $datarootdir.
export datarootdir=/opt/freeciv/share

COMMON_CONFIG := --cache-file=$(CURDIR)/config.cache \
		 --sysconfdir=/etc --prefix=/opt/freeciv \
		 --datadir=\$${prefix}/share/games \
		 --bindir=\$${prefix}/bin --mandir=\$${prefix}/share/man \
		 --host $(DEB_BUILD_GNU_TYPE) --build $(DEB_HOST_GNU_TYPE) \
		 --enable-debug=no

#build: patch build-xaw3d build-gtk build-sdl build-server
build: patch build-sdl build-server

build-server:
	dh_testdir

	-rm -f config.sub config.guess
	ln -sf /usr/share/misc/config.sub bootstrap/config.sub
	ln -sf /usr/share/misc/config.guess bootstrap/config.guess

	mkdir build-server
	(cd build-server && ../configure $(COMMON_CONFIG) --disable-client  \
		--without-ggz-client && \
	$(MAKE) CFLAGS="$(CFLAGS)")

	touch build-server-stamp

build-xaw3d:
	dh_testdir

	-rm -f config.sub config.guess
	ln -sf /usr/share/misc/config.sub bootstrap/config.sub
	ln -sf /usr/share/misc/config.guess bootstrap/config.guess

	mkdir build-xaw3d
	(cd build-xaw3d && 	\
	 ../configure $(COMMON_CONFIG) --disable-server --enable-client=xaw \
	 	--with-xaw3d  \
		--without-ggz-client --without-ggz-server && \
	$(MAKE) CFLAGS="$(CFLAGS)")

	touch build-xaw3d-stamp

build-gtk:
	dh_testdir

	-rm -f config.sub config.guess
	ln -sf /usr/share/misc/config.sub bootstrap/config.sub
	ln -sf /usr/share/misc/config.guess bootstrap/config.guess

	mkdir build-gtk
	(cd build-gtk && \
	../configure $(COMMON_CONFIG) --disable-server --enable-client=gtk-2.0 \
		 --without-ggz-server --enable-noregistry && \
	$(MAKE) CFLAGS="$(CFLAGS)")
	
	touch build-gtk-stamp

build-sdl:
	dh_testdir

	-rm -f config.sub config.guess
	ln -sf /usr/share/misc/config.sub bootstrap/config.sub
	ln -sf /usr/share/misc/config.guess bootstrap/config.guess

	mkdir build-sdl
	(cd build-sdl && \
	../configure $(COMMON_CONFIG) --disable-server --enable-client=sdl  \
		 --without-ggz-client --without-ggz-server && \
	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="-lX11")
	
	touch build-sdl-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	
	-rm -rf build-stamp build-xaw3d build-gtk build-sdl build-server 
	-rm -f install-stamp build-server-stamp build-xaw3d-stamp build-gtk-stamp build-sdl-stamp
	-rm -f config.cache
	-rm -f config.sub config.guess
	-rm -f bootstrap/config.sub bootstrap/config.guess

	dh_clean

	-rm -f debian/*~ Makefile Makefile.bak core */Makefile

install: install-stamp
#install-stamp: build-server-stamp build-gtk-stamp build-xaw3d-stamp build-sdl-stamp
install-stamp: build-server-stamp build-sdl-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	(cd build-server; $(MAKE) DESTDIR=$(CURDIR)/debian/tmp \
		localedir=$(DESTDIR)/usr/share/locale install)
	mkdir -p debian/tmp/usr/bin
	ln -s /opt/freeciv/bin/freeciv-server debian/tmp/usr/bin/

#	(cd build-xaw3d; $(MAKE) DESTDIR=$(CURDIR)/debian/tmp \
#		localedir=$(DESTDIR)/usr/share/locale install)
#	mv debian/tmp/usr/games/civclient debian/tmp/usr/games/civclient-xaw3d

#	(cd build-gtk; $(MAKE) DESTDIR=$(CURDIR)/debian/tmp \
#		localedir=$(DESTDIR)/usr/share/locale install)
#	mv debian/tmp/usr/games/civclient debian/tmp/usr/games/civclient-gtk
#	$(INSTALL_DIR) $(CURDIR)/debian/tmp/usr/share/ggz/modules/freeciv
#	cp build-gtk/data/civclient.dsc debian/tmp/usr/share/ggz/modules/freeciv

	(cd build-sdl; $(MAKE) DESTDIR=$(CURDIR)/debian/tmp \
		localedir=$(DESTDIR)/usr/share/locale install)
#	mv debian/tmp/opt/freeciv/bin/freeciv-sdl debian/tmp/opt/freeciv/bin/civclient-sdl 	
	mkdir -p debian/tmp/usr/bin/
	ln -s /opt/freeciv/bin/freeciv-sdl debian/tmp/usr/bin/

	cp debian/civclient-sdl.sh debian/tmp/opt/freeciv/bin
	cp debian/civclient-sdl.sh debian/tmp/usr/bin/
	#ln -s /opt/freeciv/bin/civclient-sdl.sh debian/tmp/usr/bin/
	$(INSTALL_DIR) $(CURDIR)/debian/tmp/usr/share/icons/hicolor/32x32/apps
	$(INSTALL_DIR) $(CURDIR)/debian/tmp/usr/share/icons/hicolor/16x16/apps
	$(INSTALL_DIR) $(CURDIR)/debian/tmp/usr/share/icons/hicolor/48x48/apps
	$(INSTALL_DIR) $(CURDIR)/debian/tmp/usr/share/icons/hicolor/64x64/apps
	$(INSTALL_DIR) $(CURDIR)/debian/tmp/usr/share/icons/hicolor/128x128/apps
	cp data/icons/16x16/freeciv-client.png debian/tmp/usr/share/icons/hicolor/16x16/apps
	cp data/icons/32x32/freeciv-client.png debian/tmp/usr/share/icons/hicolor/32x32/apps
	cp data/icons/48x48/freeciv-client.png debian/tmp/usr/share/icons/hicolor/48x48/apps
	cp data/icons/64x64/freeciv-client.png debian/tmp/usr/share/icons/hicolor/64x64/apps
	cp data/icons/128x128/freeciv-client.png debian/tmp/usr/share/icons/hicolor/128x128/apps
	mkdir -p debian/tmp/usr/share/games/
	ln -s /opt/freeciv/share/games/freeciv debian/tmp/usr/share/games/

	mkdir -p debian/tmp/usr/share/applications/hildon
	mkdir -p debian/tmp/usr/share/dbus-1/services
	rm -f $(CURDIR)/debian/tmp/opt/freeciv/share/applications/*.desktop
	$(INSTALL_DIR) $(CURDIR)/debian/tmp/opt/freeciv/share/applications/hildon
	$(INSTALL_DIR) $(CURDIR)/debian/tmp/opt/freeciv/share/dbus-1/services
	rm -f $(CURDIR)/debian/tmp/usr/share/applications/hildon/*.desktop
	$(INSTALL_DIR) $(CURDIR)/debian/tmp/usr/share/applications/hildon
	$(INSTALL_DIR) $(CURDIR)/debian/tmp/usr/share/dbus-1/services
	cp debian/freeciv-client-sdl.desktop debian/tmp/usr/share/applications/hildon
	cp debian/freeciv-client-sdl.service debian/tmp/usr/share/dbus-1/services

	# Move stuff that gets lost thanks to ${datadir}
	#mv debian/tmp/usr/share/games/icons debian/tmp/usr/share

	dh_install

	chown -R user.root debian/freeciv-data/opt/freeciv/share/games/freeciv/*

	# Remove sounds from -data
	#rm -rf debian/freeciv-data/usr/share/games/freeciv/stdsounds*

	# Remove ttf fonts from -data, now provided by dependencies.
	#rm -rf debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl/human/*.ttf
	#rm -rf debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl/human/COPYING.*

	touch install-stamp

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
#	dh_installdocs -i
	dh_installchangelogs -i
#	dh_installmenu -i
#	dh_installman -i
	dh_compress -i
	-gzip -9 debian/freeciv-data/opt/freeciv/share/games/freeciv/scenario/*.sav
	dh_fixperms  --exclude /opt/freeciv/share/games/
	dh_installdeb -i
	dh_gencontrol -i
	#maemo-optify
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdocs -a
#	dh_installexamples -a
	dh_installchangelogs -a ChangeLog
	# Remove doc dirs for arch-dependent packages and symlink
	# to freeciv-data's.
	for i in freeciv-server freeciv-client-gtk freeciv-client-xaw3d freeciv-client-sdl; do \
		rm -rf $(CURDIR)/debian/$i/opt/freeciv/share/doc/$i; \
	done
#	dh_link -a
#	dh_installmenu -a
	dh_strip -a
	dh_compress -a
	dh_fixperms  -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	#maemo-optify
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## freeciv 2.3.1-1maemo5v3

=== debian/changelog ===
freeciv (2.3.1-1maemo5v3) fremantle; urgency=low

  * new upstream relase 

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Tue,  3 Apr 2012 15:26:51 -0400

freeciv (2.3.1-1maemo5v2) fremantle; urgency=low

  * enable sound

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Fri, 30 Mar 2012 06:13:30 -0400

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,8 @@
                libreadline4-dev,
                libesd0-dev,
                libsdl-image1.2-dev,
-               libsdl-mixer1.2-dev,
+#              libsdl-mixer1.2-dev,
+               libsdl-mixeroggwav1.2-dev,
 #              libggz-dev,
                x11proto-core-dev,
                zlib1g-dev,
@@ -32,7 +33,7 @@
 
 Package: freeciv-server
 Architecture: any
-Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.0)
+Depends: ${shlibs:Depends}, freeciv-data (>= 2.3.0)
 Suggests: freeciv-client
 Conflicts: freeciv (<< 1.14.0-5)
 Replaces: freeciv-data (<< 2.1.0)
@@ -57,7 +58,7 @@
 
 #Package: freeciv-client-gtk
 #Architecture: any
-#Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.0), freeciv-server (>= 2.1.0), ggzcore-bin
+#Depends: ${shlibs:Depends}, freeciv-data (>= 2.3.0), freeciv-server (>= 2.3.0)
 #Suggests: freeciv-sound
 #Provides: freeciv-client, freeciv
 #Description: Civilization turn based strategy game (GTK+ client)
@@ -70,8 +71,8 @@
 Package: freeciv-client-sdl
 Architecture: any
 Section: user/games
-Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.6), freeciv-server (>= 2.1.8)
-Suggests: freeciv-sound
+Depends: ${shlibs:Depends}, freeciv-data (>= 2.3.0), freeciv-server (>= 2.3.0)
+#Suggests: freeciv-sound
 Provides: freeciv-client, freeciv
 Description: Civilization turn based strategy game (SDL client)
  Freeciv is a free clone of the turn based strategy game Civilization.
@@ -165,6 +166,7 @@
 
 #Package: freeciv-sound-standard
 #Architecture: all
+#Depends: ${misc:Depends}
 #Provides: freeciv-sound
 #Description: Civilization turn based strategy game (standard sound pack)
 # Freeciv is a free clone of the turn based strategy game Civilization.

=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,7 @@
 	ln -sf /usr/share/misc/config.guess bootstrap/config.guess
 
 	mkdir build-server
-	(cd build-server && ../configure $(COMMON_CONFIG) --disable-client  \
+	(cd build-server && ../configure $(COMMON_CONFIG) --disable-client   \
 		--without-ggz-client && \
 	$(MAKE) CFLAGS="$(CFLAGS)")
 
@@ -89,7 +89,7 @@
 	(cd build-gtk && \
 	../configure $(COMMON_CONFIG) --disable-server --enable-client=gtk-2.0 \
 		 --without-ggz-server --enable-noregistry && \
-	$(MAKE) CFLAGS="$(CFLAGS)")
+	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="-lX11")
 	
 	touch build-gtk-stamp
 
@@ -102,7 +102,7 @@
 
 	mkdir build-sdl
 	(cd build-sdl && \
-	../configure $(COMMON_CONFIG) --disable-server --enable-client=sdl  \
+	../configure $(COMMON_CONFIG) --disable-server --enable-client=sdl   \
 		 --without-ggz-client --without-ggz-server && \
 	$(MAKE) CFLAGS="$(CFLAGS)" LDFLAGS="-lX11")
 	
@@ -144,6 +144,11 @@
 #	mv debian/tmp/usr/games/civclient debian/tmp/usr/games/civclient-gtk
 #	$(INSTALL_DIR) $(CURDIR)/debian/tmp/usr/share/ggz/modules/freeciv
 #	cp build-gtk/data/civclient.dsc debian/tmp/usr/share/ggz/modules/freeciv
+	mkdir -p debian/tmp/usr/bin/
+#	ln -s /opt/freeciv/bin/freeciv-gtk2 debian/tmp/usr/bin/
+#	cp debian/civclient-gtk.sh debian/tmp/opt/freeciv/bin
+#	cp debian/civclient-gtk.sh debian/tmp/usr/bin/
+
 
 	(cd build-sdl; $(MAKE) DESTDIR=$(CURDIR)/debian/tmp \
 		localedir=$(DESTDIR)/usr/share/locale install)
@@ -178,6 +183,10 @@
 	cp debian/freeciv-client-sdl.desktop debian/tmp/usr/share/applications/hildon
 	cp debian/freeciv-client-sdl.service debian/tmp/usr/share/dbus-1/services
 
+#	cp debian/freeciv-client-gtk.desktop debian/tmp/usr/share/applications/hildon
+#	cp debian/freeciv-client-gtk.service debian/tmp/usr/share/dbus-1/services
+
+
 	# Move stuff that gets lost thanks to ${datadir}
 	#mv debian/tmp/usr/share/games/icons debian/tmp/usr/share
 
@@ -225,13 +234,3 @@
 #	dh_installmenu -a
 	dh_strip -a
 	dh_compress -a
-	dh_fixperms  -a
-	dh_installdeb -a
-	dh_shlibdeps -a
-	dh_gencontrol -a
-	#maemo-optify
-	dh_md5sums -a
-	dh_builddeb -a
-
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary

## freeciv 2.3.2

=== debian/changelog ===
freeciv (2.3.2-1~ubuntu12.04.1) precise-backports; urgency=low

  * No-change backport to precise (LP: #1177548)

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 08 May 2013 17:25:24 +0200

freeciv (2.3.2-1) unstable; urgency=low

  * Update to latest upstream version
  * Enable build time hardening flags, thanks to Moritz M"uhlenhoff for
    assistance in this process. (Closes: #654809)
  * Update to policy 3.9.3
  * Amend short description of freeciv-client-extras (Closes: #656708)
  * Add backporting information to README.source
  * Fix dependency information to reduce chance of unwitting bugs.
  * Suggest freeciv-client-extras in freeciv-client-gtk
  * Change libpng build dependency away from 1.2 (Closes: #662333)
  * Remove GGZ dependencies (Closes: #655399)
  * Remove ggz.modules if we were the only entry. This should make the
    package piuparts clean.

 -- Karl Goetz <karl@kgoetz.id.au>  Sat, 21 Apr 2012 07:46:55 +1000

=== debian/control ===
Source: freeciv
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>, Clint Adams <clint@debian.org>, Karl Goetz <karl@kgoetz.id.au>
Standards-Version: 3.9.3
Homepage: http://www.freeciv.org/
Vcs-Git: git://git.debian.org/git/pkg-games/freeciv.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/freeciv.git;a=summary
Build-Depends: debhelper (>= 7.0.50),
               dpkg (>= 1.15.7),
               dh-autoreconf,
               gettext,
               libx11-dev,
               libxaw7-dev,
               libxext-dev,
               libxmu-dev,
               libxt-dev,
               libgtk2.0-dev,
               libpng-dev | libpng12-dev,
               libreadline-dev,
               libesd0-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               x11proto-core-dev,
               xaw3dg-dev,
               zlib1g-dev,
               autotools-dev,
               liblua5.1-0-dev,
               libbz2-dev,
               gnulib,
               python-minimal

# Remaining build-deps required to remove the tolua dependency. These
# Can't be added until upstream stop using a mangled copy of their own.
# libtolua-dev,
# libtolua++5.1-dev

Package: freeciv-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, freeciv-data
Suggests: freeciv-client
Description: Civilization turn based strategy game (server files)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Freeciv game server.

Package: freeciv-client-xaw3d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, freeciv-data
Recommends: freeciv-server (>= 2.3.0)
Suggests: freeciv-sound
Provides: freeciv-client
Description: Civilization turn based strategy game (Xaw3D client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Xaw3D version of the Freeciv client.

Package: freeciv-client-gtk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, freeciv-data
Recommends: freeciv-server (>= 2.3.0)
Suggests: freeciv-sound, freeciv-client-extras
Provides: freeciv-client, freeciv
Description: Civilization turn based strategy game (GTK+ client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the GTK+ version of the Freeciv client.

Package: freeciv-client-sdl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, freeciv-data, ttf-dejavu-core, fonts-ipafont-gothic | fonts-japanese-gothic | ttf-sazanami-gothic, ttf-unfonts-core, ttf-arphic-uming
Recommends: freeciv-server (>= 2.3.0)
Suggests: freeciv-sound
Provides: freeciv-client, freeciv
Description: Civilization turn based strategy game (SDL client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the SDL version of the Freeciv client.

Package: freeciv-client-extras
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, freeciv-data
Description: Civilization turn based strategy game (miscellaneous extras)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is a collection of supporting scripts and tools which may be
 useful to a Freeciv player. These include:
  * freeciv-manual: Generate an HTML manual for freeciv-server
  * freeciv-modpack: GTK+ modpack, ruleset and tileset downloader

Package: freeciv-data
Architecture: all
Depends: ${misc:Depends}
Description: Civilization turn based strategy game (game data)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 These are the common data files for Freeciv.

Package: freeciv-sound-standard
Architecture: all
Depends: ${misc:Depends}
Provides: freeciv-sound
Description: Civilization turn based strategy game (standard sound pack)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the standard sound pack for Freeciv. It provides Freeciv clients
 with a set of sounds for different events and actions in the game.

=== debian/watch ===
version=3

http://download.gna.org/freeciv/stable/freeciv-(.+)\.tar\.bz2 \
	debian uupdate

## freeciv 2.3.2-1maemo5v1

=== debian/changelog ===
freeciv (2.3.2-1maemo5v1) fremantle; urgency=low

  * new upstream release

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Thu, 12 Apr 2012 04:08:31 -0400

=== debian/control ===
Source: freeciv
Section: games
Priority: optional
Maintainer: Ricky Brent <debpkg@rickybrent.com>
XSBC-Original-Maintainer: Debian Freeciv Maintainers <pkg-freeciv-devel@lists.alioth.debian.org>
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=freeciv
Uploaders: Jordi Mallach <jordi@debian.org>, Kyle McMartin <kyle@debian.org>, Clint Adams <schizo@debian.org>, Mikko Vartiainen <mvartiainen@gmail.com>
Standards-Version: 3.8.0
Homepage: http://www.freeciv.org/
Vcs-Svn: svn://svn.debian.org/pkg-freeciv/trunk/freeciv
Vcs-Browser: http://svn.debian.org/wsvn/pkg-freeciv/trunk/freeciv/
Build-Depends: quilt (>= 0.42),
               debhelper (>= 4.0.0),
               gettext,
               libx11-dev,
               libxaw7-dev,
               libxext-dev,
               libxmu-dev,
               libxt-dev,
               libgtk2.0-dev (>= 2.2.1),
               libpng12-dev,
               libreadline5-dev,
               libesd0-dev,
               libsdl-image1.2-dev,
#              libsdl-mixer1.2-dev,
               libsdl-mixeroggwav1.2-dev,
#              libggz-dev,
               x11proto-core-dev,
               zlib1g-dev,
               autotools-dev,
#              xaw3dg-dev


Package: freeciv-server
Architecture: any
Depends: ${shlibs:Depends}, freeciv-data (>= 2.3.0)
Suggests: freeciv-client
Conflicts: freeciv (<< 1.14.0-5)
Replaces: freeciv-data (<< 2.1.0)
Description: Civilization turn based strategy game (server files)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Freeciv game server.

#Package: freeciv-client-xaw3d
#Architecture: any
#Depends: ${shlibs:Depends}, freeciv-data (>= 2.1.0)
#Suggests: freeciv-server, freeciv-sound
#Provides: freeciv-client
#Description: Civilization turn based strategy game (Xaw3D client)
# Freeciv is a free clone of the turn based strategy game Civilization.
# In this game, each player becomes leader of a civilisation, fighting to
# obtain the ultimate goal: the extinction of all other civilisations.
# .
# This is the Xaw3D version of the Freeciv client.

#Package: freeciv-client-gtk
#Architecture: any
#Depends: ${shlibs:Depends}, freeciv-data (>= 2.3.0), freeciv-server (>= 2.3.0)
#Suggests: freeciv-sound
#Provides: freeciv-client, freeciv
#Description: Civilization turn based strategy game (GTK+ client)
# Freeciv is a free clone of the turn based strategy game Civilization.
# In this game, each player becomes leader of a civilisation, fighting to
# obtain the ultimate goal: the extinction of all other civilisations.
# .
# This is the GTK+ version of the Freeciv client.

Package: freeciv-client-sdl
Architecture: any
Section: user/games
Depends: ${shlibs:Depends}, freeciv-data (>= 2.3.0), freeciv-server (>= 2.3.0)
#Suggests: freeciv-sound
Provides: freeciv-client, freeciv
Description: Civilization turn based strategy game (SDL client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the SDL version of the Freeciv client.
 .
 Game data files can be installed to internal memory card
XB-Maemo-Display-Name: Freeciv
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1woKFTkE9eZW
 ygAACqVJREFUeNqtV1uMndV1/ta+/NdzzpyZ8RkPMx7GxoxxDAZMjA3UGBJC
 uVgNSrg0kUBJCk7V5qFIaZWol0BbqaqUlz70CSeFJjRRW6kkTQjBBmJzacHE
 imsH4tiGhBnPeK6eOdf/si+rD1NbRYXKqrqlrb0ftvb6tPb69vo+YmZczCAi
 umO9SLZcrjZVamJtGKOfyAW2dFwUvmgt0fK5acydmuWTb2bI+SIvpos5d9OY
 qN51c/zw2mG5W0ZiKxE3lHQVwEnnDVvrnS1F2xs131nA8cnT7tDBE/bJtzrc
 /T8DICL6o3vD0fXjwRdrNbW3UpPDAOCMR95zppvZjnWu8N4S4IJIy0qaKB3G
 AdgJLE756ZVl/8TbJ/JvfOuoPcvMvGXz5v5PPXD/VW8fO3bkme99vwcA6sOQ
 /fnvxDdctiF4rFrVn5BKSJt7npkq56fO2B822262l2GdZ5EK0gJQPUl2JtF2
 cOwSumvDxnB43eXB6FCOrw005M7BRv74FZsm3vn0/Q/8cRzHt+ZZ/hCAX3xg
 Bh6+I4yuuVr/1til+qkwVInNUc7NmJ+/dLD3ulCSGgPqnkpFDsexEkEgQFJA
 SgFm4m7mFmeXymeXp/Py+qvUdesvi7ZW+mTYXLbdM7hnvowm6j/+0XOP/OTg
 oe8xs/9AAH/71cp968bU30SxHLUZ3Guv5t9+5x3rGwP6NysVORInJIJIIo4l
 dCABISCkBIFgLSPLHZe5W5idLX6ibdm7dVf6UG1Qq8z24+DR/gNf/8ardzGz
 +x81QET0119Kdl6xOXwhTiltN/3s8z/Ovts9R7vWDKjtlT5BaUWirx4gSQMk
 aQilFZx38BAgqQAPFIVFnpXodkusLJuTMtm8uP2K1o3V6jx1OqZz5Gj341/7
 u95Pz7NEnEfyZ5+PRsbHg8eCUKTesd+/P/vHhRm1va+qrk9TQbWqQrWmkVY1
 okQiSjWSSoi0miBJI0ilQEojqcSI0xDVaojBgWBTmpQ73nhLv5D3nO3rV5Ur
 rwof+8pno+HzcS8AGB8PvhjH8nbv2Bx+I3966qTbVovdzUEsoSIJKAcHC08W
 UaIQxQGiJEKtXkd9YA0GGg30DdQRpQnSaopaX4Io1SDznjKdd0ZePdx92hgu
 G8P6jmuuC/e+D8BNG2SlVpGPCCLZXPYnXjlYtpJQ7AoCglYWMgwhlEAQEpJE
 Q2uFKA6hdAAdJ5BhjCjpQ1IbRJRWECUxhJbQoYSQQLUirzy7wGphoXxLa6Ea
 Q3Lv9etlAgCCiOgz9yVfUEqOCAKe3997xXX5Nq0hdADogKGoizAKUa1VEIUK
 WgswEVQYgESAMK5B6BRBWIUKYugwgAMQRQppGiCMBBp9+pYXXu69CWau9ql1
 v/97yeeJiMSeq2XcGJC3gIGVFds6ftTMKUEblQKkBEgAQjKSmJDEEeIkgQ40
 wjBAoEPEcQqQgvOAEoAUgFYCA/UEaRIiCiW0JsSRHM16Il9csstgYHy9unXP
 R1Ukdu8OJ6wVWwHgzLR9mQxuJyBYDQwoSQi0ALwBfAYRVKF0CK0UrHNotzN0
 OgWIPdqdNkyRwzkD5yyMLdHqdFEUJQAvKjHdPTljDpAAiMTVn7w3nBBhQMPs
 MeQs89I5PisYWwFASIIUBCKAaHVvnQW5NmRYQ7uTwZTl6ixKmDKHsznyvItW
 s4mVZgtlWUIrAogBZsSaxufm/Iox7NljKE3ksFKC+iVxhZjpY7v03pee+a/y
 9ID3gHMeprQwTgKs0e124fwZxLVhFMah2VpAUQJRpEEwKIoe4C1sWcCU9kKl
 MzMEkb5hm/xdCUASVQJB/QqMAEwSzDClh/MM6xjGepQlg72EkgpREEBJCQGA
 4OGKFpodRlFasHOwpQLBg30BOAewAzuLIi/hHIM9YC2jKJlBTERQghAIJgHS
 gCHilw67l7wHTMkoCg9rAfYEaxi9bol2O0O3m6PMSyzOz6HXmgWD4FwBW7QB
 l8GbAqYsVp/FWMABxARnGXlu8dyh8oeLy1yYElSUJBSkNPUBuChmuX6jGhEh
 2HgmYximZOS5h1QlpHawTkBrgSI3yIscIAGfLUAnayBcG96VEMxgZljjYHKL
 1W5NaHUd2plHf0Ou9T0rPQvutgXL7WNqtFJTnxzs53isgTUTV0dkQejkjG7P
 o7QexvFqJhwgSCDLDIyxsKUHew/pDayP4C2h3czRahs0VxwW5kvMLzqcaztE
 FWDLlRq7PypHqxGJ+XOy+e5J+y1lcjO7MC3nw1DX1zQ8No07rF8XYXbOY3GZ
 MTnlsLTo8e57FuyBKHAAMYTgVXYoAaVKEHXhmWCsgRCMSk0gqQlMjAsM9gOD
 KZAmgJcSS00JY+2cDsoZ9ebR8tSdg+r42UlsWl4QiKqqs2YNx8NDJNeNMK67
 UoAJ8BQjLwjNpkeWAUW+WqweQJgSwoiR1Bj1RoAoYLBhoMfwPYItCQWkn1pA
 T4EqSnso7Y69/HJ5Sr34a862z9lDa8fkvUQePz+Wv7LcxODGjXrH+g0KQ6MC
 Ah5BAMQhkA4B8HxetwGKoVKGTAEVr3K+twzkLQFTSizNeMyddTh9Knu7cak4
 c83m8E4HxsyUPbj/lz5XzMzbBunJ++6UX/U1OTLUoC1HjuVP/Ozfs6sAJI2G
 wNgGjeFLJJJUoFqXiBIBHQBCEKQCQKsUMzkja68yqNUWODdfYulcgXbLl6JP
 /GDnb1Tuz7oexrvp7/xz/vfMzAoAfrbEna/sifaRpD/VsRjbtkXv3n+2eEp5
 7F1c8rrbKzBzBohTIE0JYUgII4JShCCQYDC8Z3gmeEcoSkbeY+S5QGvF+2bP
 /9O996RbUNKGEuyaXb/vpzO++z5ROj1p9xHRjsqgvGvkUnnHPZ+58fRy1ij+
 7Zl/5W4HgbVA3APyjBGGjCACtCII6UBEq5+nB0wJGAPkPUaWset5+s7H7o6z
 oVg+2OswvLI/mpwq932gJPvctXLHJWP6xagu0iiqYXqucfy5Hxx/IWA8LICa
 lEAYAUG4up7vmCAADHi3GtwYIMuQ9Sz+Yc8DCW8Y1A+YDH0y8p3ZJfPxv3w6
 vyDJ3idKlZT6Sw/e/Ubd/WKb89OQAM6cdgfe/pU7sLLobxPAdQJoEK0GFnK1
 /V4A4AHjsGw8/mPdR9SLN98Y3FAjuSfvAWGVp7qle/RPvtn7l/8ugi88gdZa
 PfjQQ789sfP6TaffDKf4vcmBsC7Txqj6xA11+ZEzk/b5t95z+8uCxwnYJS0m
 yCIhAJ6Qe+BdD7we1emXt92irxjrV4+4Lo01S4+kjk6n9I+e/JV99kOd0R88
 +uhNl01c/u3XX3vtu68cPPT1HWJ288CQfDzqF7dLLaQSBJRsmx1/vHT8ugFO
 eHBJAkgSoSsJNtWqcmc9EddqEWhrgawoXVDl/R3jH/+LJ7PD/6s1+/Iffnlg
 ZWVl54v7D7z268nJFhHRnkGMDKyVe6NE7BWJGBFEEARIYoDhPLMdGo5Qqyml
 FKQ1QJ55eO8R9LkZw/xEu/D7/uqp/OyHmdWLMqdbq1S5dlR+IU7pFitoKxGG
 lERFEGS1JiEUuTCWbRVgQcfuuFP+4PefNU8ennLd/xd3fJ4lN69BfNmomBBa
 DCuFfpIIlAKkQhlUaDmuiNkjR8yp50747GLt+X8CTRJpI6UvnV0AAAAASUVO
 RK5CYII=
 ====



Package: freeciv-data
Architecture: all
Conflicts: freeciv (<< 1.14.0-5)
Depends: 
Replaces: freeciv-client-gtk (<< 2.1.0), freeciv-server (<< 2.1.0)
Description: Civilization turn based strategy game (game data)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 These are the common data files for Freeciv.

#Package: freeciv-sound-standard
#Architecture: all
#Depends: ${misc:Depends}
#Provides: freeciv-sound
#Description: Civilization turn based strategy game (standard sound pack)
# Freeciv is a free clone of the turn based strategy game Civilization.
# In this game, each player becomes leader of a civilisation, fighting to
# obtain the ultimate goal: the extinction of all other civilisations.
# .
# This is the standard sound pack for Freeciv. It provides Freeciv clients
# with a set of sounds for different events and actions in the game.

## freeciv 2.3.4

=== win32/installer/Makefile ===
#
# Makefile for Freeciv Windows installer creation
#
# Usage:
#
# 1. download and extract the MinGW build environment from
#    http://download.gna.org/freeciv/packages/windows/gnuwin32/
# 2. double click on "gnuwin32/msys.bat"
# 3. install the development packages:
#    $ hg qpush -a
# 4. close current session and restart msys.bat. This is required
#    for PATH to be set correctly after development packages
#    installation.
# 5. change into the Freeciv directory where this Makefile resides
#    $ cd <path_to_freeciv_source>/win32/installer
# 6. run make
#    $ make
# 7. find the installer executables in the 'Output' directory
#


#
# Make rules
#


# build all installers

all: 
	make GUI=gtk2 installer-gtk2
	make GUI=sdl installer-sdl


# build Freeciv

build-freeciv-common:
	# create build directory
	mkdir -p build-$(GUI)
	# configure
	cd build-$(GUI); ../../../configure --enable-client=$(GUI)
	# make
	make -C build-$(GUI)

build-freeciv-gtk2: build-freeciv-common

build-freeciv-sdl: build-freeciv-common


# install Freeciv

install-freeciv-common:
	# make install
	make -C build-$(GUI) DESTDIR=`pwd`/install-$(GUI) install
	# reorder directory layout
	mv install-$(GUI)/usr/local/bin/* install-$(GUI)/
	mv install-$(GUI)/usr/local/share/freeciv install-$(GUI)/data
	mkdir -p install-$(GUI)/share
	mv install-$(GUI)/usr/local/share/locale install-$(GUI)/share/
	# delete unneeded files
	rm -r install-$(GUI)/usr
	# strip 'freeciv-manual' and 'freeciv-modpack' executables
	strip install-$(GUI)/freeciv-m*
	# add start menu files
	cp freeciv-server.cmd freeciv-modpack.cmd freeciv-$(GUI).cmd Freeciv.url install-$(GUI)/
	# add documentation
	cp -R $(addprefix ../../, doc ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README) install-$(GUI)/
	find install-$(GUI)/doc -name 'Makefile.*' -delete

install-freeciv-gtk2: install-freeciv-common

install-freeciv-sdl: install-freeciv-common
	# add CJK fonts
	cp /opt/fireflysung-1.3.0/fireflysung.ttf install-sdl/data/themes/gui-sdl/human/
	cp /opt/fireflysung-1.3.0/COPYRIGHT install-sdl/data/themes/gui-sdl/human/COPYING.fireflysung
	cp /opt/sazanami-20040629/sazanami-gothic.ttf install-sdl/data/themes/gui-sdl/human/
	cp /opt/sazanami-20040629/README install-sdl/data/themes/gui-sdl/human/COPYING.sazanami
	cp /opt/un-fonts/UnDotum.ttf install-sdl/data/themes/gui-sdl/human/
	cp /opt/un-fonts/COPYING install-sdl/data/themes/gui-sdl/human/COPYING.UnDotum
	# add Freeciv GTK+ theme for modpack installer
	cp -R ../../data/themes/gui-gtk-2.0 install-sdl/data/themes/
	find install-sdl/data/themes/gui-gtk-2.0 -name 'Makefile.*' -delete


# install Freeciv environment

COMMON_DLLS := \
	SDL.dll \
	SDL_mixer.dll \
	exchndl.dll \
	freetype6.dll \
	intl.dll \
	libatk-1.0-0.dll \
	libbz2-2.dll \
	libcairo-2.dll \
	libexpat-1.dll \
	libfontconfig-1.dll \
	libgcc_s_dw2-1.dll \
	libgdk-win32-2.0-0.dll \
	libgdk_pixbuf-2.0-0.dll \
	libgio-2.0-0.dll \
	libglib-2.0-0.dll \
	libgmodule-2.0-0.dll \
	libgobject-2.0-0.dll \
	libgthread-2.0-0.dll \
	libgtk-win32-2.0-0.dll \
	libiconv-2.dll \
	libogg-0.dll \
	libpango-1.0-0.dll \
	libpangocairo-1.0-0.dll \
	libpangoft2-1.0-0.dll \
	libpangowin32-1.0-0.dll \
	libpng14-14.dll \
	libvorbis-0.dll \
	libvorbisfile-3.dll \
	zlib1.dll

install-env-common:
	# add DLLs
	cp -R $(addprefix /bin/, $(COMMON_DLLS)) install-$(GUI)
	# add GTK+ config files
	mkdir -p install-$(GUI)/etc
	cp -R /etc/gtk-2.0 install-$(GUI)/etc/
	mkdir -p install-$(GUI)/lib/gtk-2.0/
	cp -R /lib/gtk-2.0/2.10.0 install-$(GUI)/lib/gtk-2.0/
	echo "include \"../../data/themes/gui-gtk-2.0/Freeciv/gtk-2.0/gtkrc\"" > install-$(GUI)/etc/gtk-2.0/gtkrc
	# add GTK+ locale files
	cp -R /share/locale install-$(GUI)/share/
	find install-$(GUI)/share/locale -type f -not -name freeciv.mo -and -not -name gtk20.mo -delete

install-env-gtk2: install-env-common

SDL_DLLS := \
	libpng12-0.dll \
	SDL_image.dll

install-env-sdl: install-env-common
	# add DLLs
	cp -R $(addprefix /bin/, $(SDL_DLLS)) install-$(GUI)


# build installer
	
installer-common: clean-install-common install-freeciv-$(GUI) install-env-$(GUI)
	# extract Freeciv version
	$(eval FREECIV_VERSION := $(shell ../../fc_version))
	# create NSIS script
	./create-freeciv-$(GUI)-nsi.sh install-$(GUI) $(FREECIV_VERSION) > Freeciv-$(FREECIV_VERSION)-$(GUI).nsi
	# create installer executable
	mkdir -p Output
	makensis Freeciv-$(FREECIV_VERSION)-$(GUI).nsi

installer-gtk2: build-freeciv-gtk2 installer-common

installer-sdl: build-freeciv-sdl installer-common


# cleanup

clean-build-common:
	rm -rf build-$(GUI)

clean-install-common:
	rm -rf install-$(GUI)

clean-installer-common:
	rm Output/Freeciv-*-$(GUI)-setup.exe
	rm Freeciv-*-$(GUI).nsi

clean:
	make GUI=gtk2 clean-build-common clean-install-common clean-installer-common
	make GUI=sdl clean-build-common clean-install-common clean-installer-common

=== debian/changelog ===
freeciv (2.3.4-1) unstable; urgency=low

  * New upstream version.  closes: #699296.
    - Fixes CVE-2012-5645.  closes: #696306.
    - Fixes CVE-2012-6083.
  * Bump to Standards-Version 3.9.4.

 -- Clint Adams <clint@debian.org>  Sun, 28 Jul 2013 15:40:34 -0400

=== debian/control ===
Source: freeciv
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>, Clint Adams <clint@debian.org>, Karl Goetz <karl@kgoetz.id.au>
Standards-Version: 3.9.4
Homepage: http://www.freeciv.org/
Vcs-Git: git://git.debian.org/git/pkg-games/freeciv.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/freeciv.git;a=summary
Build-Depends: debhelper (>= 7.0.50),
               dpkg (>= 1.15.7),
               dh-autoreconf,
               gettext,
               libx11-dev,
               libxaw7-dev,
               libxext-dev,
               libxmu-dev,
               libxt-dev,
               libgtk2.0-dev,
               libpng-dev | libpng12-dev,
               libreadline-dev,
               libesd0-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev,
               x11proto-core-dev,
               xaw3dg-dev,
               zlib1g-dev,
               autotools-dev,
               liblua5.1-0-dev,
               libbz2-dev,
               gnulib,
               python-minimal

# Remaining build-deps required to remove the tolua dependency. These
# Can't be added until upstream stop using a mangled copy of their own.
# libtolua-dev,
# libtolua++5.1-dev

Package: freeciv-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, freeciv-data
Suggests: freeciv-client
Description: Civilization turn based strategy game (server files)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Freeciv game server.

Package: freeciv-client-xaw3d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, freeciv-data
Recommends: freeciv-server (>= 2.3.0)
Suggests: freeciv-sound
Provides: freeciv-client
Description: Civilization turn based strategy game (Xaw3D client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the Xaw3D version of the Freeciv client.

Package: freeciv-client-gtk
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, freeciv-data
Recommends: freeciv-server (>= 2.3.0)
Suggests: freeciv-sound, freeciv-client-extras
Provides: freeciv-client, freeciv
Description: Civilization turn based strategy game (GTK+ client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the GTK+ version of the Freeciv client.

Package: freeciv-client-sdl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, freeciv-data, ttf-dejavu-core, fonts-ipafont-gothic | fonts-japanese-gothic | ttf-sazanami-gothic, ttf-unfonts-core, ttf-arphic-uming
Recommends: freeciv-server (>= 2.3.0)
Suggests: freeciv-sound
Provides: freeciv-client, freeciv
Description: Civilization turn based strategy game (SDL client)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the SDL version of the Freeciv client.

Package: freeciv-client-extras
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, freeciv-data
Description: Civilization turn based strategy game (miscellaneous extras)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is a collection of supporting scripts and tools which may be
 useful to a Freeciv player. These include:
  * freeciv-manual: Generate an HTML manual for freeciv-server
  * freeciv-modpack: GTK+ modpack, ruleset and tileset downloader

Package: freeciv-data
Architecture: all
Depends: ${misc:Depends}
Description: Civilization turn based strategy game (game data)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 These are the common data files for Freeciv.

Package: freeciv-sound-standard
Architecture: all
Depends: ${misc:Depends}
Provides: freeciv-sound
Description: Civilization turn based strategy game (standard sound pack)
 Freeciv is a free clone of the turn based strategy game Civilization.
 In this game, each player becomes leader of a civilisation, fighting to
 obtain the ultimate goal: the extinction of all other civilisations.
 .
 This is the standard sound pack for Freeciv. It provides Freeciv clients
 with a set of sounds for different events and actions in the game.
